Subject: Re: bug#34984: ns-right-command-modifier has influence to left

From: Tak Kunihiro <[email-masked]>
Date: Tue, 26 Mar 2019 12:46:18 +0900

Dear Alan,

> Can you replicate the issue with the master branch?
> The modifier handling has been almost completely rewritten in it.

I tested on 27.0.50.  The results are the same.

> Does the right command key work correctly?

It does not work correctly.  Even after (setq ns-right-command-modifier ‘meta),
`rightcommand-x’ gives `s-x’.

> Do you use any third‐party key remapping software?

I connected USB keyboard not specifically designed for macOS.
I swap `Option Key' and `Command Key’ using on Keyboard panel 
in System Preferences.  I do not use third-party key remapping
software.

Tak

GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.5.0, NS appkit-1671.40 Version 10.14.4 (Build 18E226))
 of 2019-03-26
macOS Mojave 10.14.4
Mac mini (2018)

 ~/Downloads/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs -Q
 C-h k leftcommand-x
 s-x runs the command kill-region (found in global-map),...
 c-h k rightcommand-x
 s-x runs the command kill-region (found in global-map),...

 M-: (setq ns-right-command-modifier 'meta)
 C-h k leftcommand-x
 M-x runs the command execute-extended-command (found in global-map),...
 c-h k rightcommand-x
 s-x runs the command kill-region (found in global-map), ...

> On Mar 26, 2019, at 06:41, Alan Third <[email-masked]> wrote:
> 
> On Mon, Mar 25, 2019 at 09:57:37AM +0900, Tak Kunihiro wrote:
>> On macOS, assignment for left-command key is controlled
>> by that for right-command key.
>> 
>>  GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 Version 10.10.5 (Build 14F2511)) of 2018-05-31
>>  macOS Mojave 10.14.3
>>  Mac mini (2018)
>> 
>>  /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>>  C-h k leftcommand-x
>>  s-x runs the command kill-region (found in global-map),...
>>  M-: (setq ns-right-command-modifier 'meta)
>>  C-h k leftcommand-x
>>  M-x runs the command execute-extended-command (found in global-map),...
>> 
>> This does not happen with Mac mini (2012) with other parameters and
>> the same keyboard.
> 
> Hi Tak, some questions:
> 
> Can you replicate the issue with the master branch? The modifier
> handling has been almost completely rewritten in it.
> 
> Does the right command key work correctly?
> 
> Do you use any third‐party key remapping software?